Set the firm's override Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/firm/{firm_uuid}/network-settings/{key}

Sets the firm's own value for a network setting. Only available when the setting is owned at Firm level, the firm is not a sub-firm, and the setting is currently Overridable.

Path parameters

  • firm_uuid string Required
  • key string Required
application/json

Body

  • value string Required

    the firm's own value for the setting

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • key string
    • label string
    • value boolean
    • source string
    • source_firm object
      Hide source_firm attributes Show source_firm attributes object
      • uuid string
      • name string
    • owning_level string
    • lock_status string
    • editable boolean
    • locked_message string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
PUT /api/v1/firm/{firm_uuid}/network-settings/{key}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/firm/6ff8f7f6-1eb3-3525-be4a-3932c805afed/network-settings/mandatory_firm_two_factor' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "value": "true"
}'
Request examples
{
  "value": "true"
}
Response examples (200)
[
  {
    "key": "mandatory_firm_two_factor",
    "label": "Mandatory firm 2FA",
    "value": true,
    "source": "network",
    "source_firm": {
      "uuid": "53f22fe4-3731-4cdc-aa12-e65bd0b15e52",
      "name": "Harbour Wealth"
    },
    "owning_level": "network",
    "lock_status": "overridable",
    "editable": true,
    "locked_message": "Mandatory firm 2FA is mandated by Network and cannot be changed for your firm."
  }
]
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}